package org.reil.example;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.batch.item.ItemWriter;
import org.springframework.stereotype.Component;


/**
 * Dummy {@link ItemWriter} which only logs data it receives.
 */
@Component("writer")
public class LoggingItemWriter implements ItemWriter<Object> {

	private static final Log log = LogFactory.getLog(LoggingItemWriter.class);
	
	/**
	 * @see ItemWriter#write(java.util.List)
	 */
	public void write(List<? extends Object> dataList) throws Exception {
		for (Object data : dataList) {
			log.info(data);
		}
	}

}
